Bug 251642 - 3D support on Radeon Xpress 200M in 6.6.193-2 requires new Mesa
3D support on Radeon Xpress 200M in 6.6.193-2 requires new Mesa
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 04:45 EDT by Zoltan Boszormenyi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 13:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Boszormenyi 2007-08-10 04:45:06 EDT
Description of problem:

xorg-x11-drv-ati 6.6.193 advertises 3D support for Radeon Xpress 200M.
glxinfo with current (Mesa 6.5.2) says:

Warning, xpress200 detected. Probably won't work.
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
...
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R300 20060815 TCL
OpenGL version string: 1.3 Mesa 6.5.2
...

This is the problem: the Xpress chip lacks TCL and
as soon as I start a 3D app X locks up. The r300 driver
in Mesa 7.0.1 is prepared for this chip and reports:

Warning, xpress200 detected.
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
...
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 20060815 NO-TCL
OpenGL version string: 1.3 Mesa 7.0.1

Starting 3D apps with Mesa 7.0.1 don't lockup X and is accelerated.
AFAIK only the TCL is using software code paths.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati 6.6.193-2.fc8 (from rawhide)
mesa-libGL-6.5.2-10.fc7
xorg-x11-server-Xorg-1.3.0.0-9.fc7

How reproducible:

Always

Steps to Reproduce:
1. Get a notebook with Radeon Xpress 200[M] and install FC7 or current Rawhide
1a. Compile xorg-x11-drv-ati-6.6.193-2.fc8.src.rpm on FC7
2. Run glxinfo and cheer up watching 3D support advertised
3. Run glxgears

Actual results:

X locks up immediately after starting a 3D app.
Remote ssh sessions stay alive though, so the machine actually works.

Expected results:

With Mesa 6.5.2 and hw-accelerated TCL attempted on TCL-lacking hardware
the lockup is kind of expected. :-) However from the user POV no lockup
should occur.

Additional info:

Mesa 7.0.1 supports this chipset with some rendering bugs
(e.g. garbage triangles showing up in neverputt) but no lockup occurs.
Comment 1 Zoltan Boszormenyi 2007-08-16 14:00:16 EDT
With the package versions below taken from rawhide (20070816) and
compiled on F7, both the lockup and the incorrect rendering are fixed.

xorg-x11-drv-ati-6.6.193-2.fc8
xorg-x11-proto-devel-7.2-12.fc8 (needed by the new xorg-x11-server)
xorg-x11-server-1.3.0.0-20.fc8
mesa-7.0.1-3.fc8
Comment 2 Adam Jackson 2007-08-27 13:22:17 EDT
Marking as fixed in rawhide.  Will look at a F7 Mesa update once F8 is closer to
baked.

Note You need to log in before you can comment on or make changes to this bug.